Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
personview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $SiteURL = $ini->variable( "Site", "SiteURL" )
| $AdminSiteURL = $ini->variable( "Site", "AdminSiteURL" )
| $user =& eZUser::currentUser()
if(!is_a( $user, "eZUser")) if(!eZPermission::checkPermission( $user, "eZContact", "PersonView")) | $error = false
| $t
| $intl = new eZINI( "kernel/ezcontact/admin/intl/$Language/personview.php.ini", false )
if( $Action=="view") if(is_a( $user, "eZUser") and eZPermission::checkPermission( $user, "eZContact", "buy")) if(is_a( $user, "eZUser") &&eZPermission::checkPermission( $user, "eZContact", "buy") &&count( $orders) > 0) | else
| $emails = eZMail::getByContact( $PersonID, false, 0, $max )
| $locale = new eZLocale( $Language )
| $i = 0
| $currency = new eZCurrency()
| $date = new eZDateTime()

## Variable Documentation

## ◆ $AdminSiteURL

$AdminSiteURL = $ini->variable( "Site", "AdminSiteURL" )

Definition at line 36 of file personview.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 479 of file personview.php.

## ◆ $date

$date = new eZDateTime()

Definition at line 481 of file personview.php.

## ◆ $emails

$emails = eZMail::getByContact( $PersonID, false, 0, $max )

Definition at line 475 of file personview.php.

## ◆ $error

if (!is_a($user, "eZUser")) if (!eZPermission::checkPermission($user, "eZContact", "PersonView")) $error = false

Definition at line 75 of file personview.php.

## ◆ $i

$i = 0

Definition at line 478 of file personview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file personview.php.

## ◆ $intl

$intl = new eZINI( "kernel/ezcontact/admin/intl/$Language/personview.php.ini", false )

Definition at line 79 of file personview.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 34 of file personview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 477 of file personview.php.

## ◆ $SiteURL

$SiteURL = $ini->variable( "Site", "SiteURL" )

Definition at line 35 of file personview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, "personview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: personview.php:34
$ini
$ini
Definition: personview.php:33

Definition at line 77 of file personview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 60 of file personview.php.

## ◆ else

foreach ($emails as $email) if (is_a($user, "eZUser") and count($emails) > 0) else

Initial value:
{
$t->set_var( "order_table_item", "" )
$t
$t
Definition: personview.php:77

Definition at line 468 of file personview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.